Bug 1316502 - OData - $count after $expand does not work
OData - $count after $expand does not work
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.3.0
Assigned To: Van Halbert
Juraj Duráni
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 06:19 EST by Juraj Duráni
Modified: 2016-08-24 07:48 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-24 07:48:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-4060 Major Closed OData - $count after $expand does not work 2016-06-15 08:17 EDT

  None (edit)
Description Juraj Duráni 2016-03-10 06:19:23 EST
Description of problem:
If user declares $count after $expand, OData service should return count if referenced entities instead of whole entities.

*URL:* http://localhost:8080/odata4/olingo_basic/Source/Customers/?$expand=Orders_FK0/$count
*Result:* 
...
<a:link rel="http://docs.oasis-open.org/odata/ns/related/Orders_FK0" title="Orders_FK0" href="http://localhost:8080/odata4/olingo_basic/Source/Customers(1)/Orders_FK0">
  <m:inline>
    <a:feed>
      <a:entry>
...
*Expected result:* 
<a:link rel="http://docs.oasis-open.org/odata/ns/related/Orders_FK0" title="Orders_FK0" href="http://localhost:8080/odata4/olingo_basic/Source/Customers(1)/Orders_FK0">
<!-- I am not sure about the representation, but this is only example -->
  <m:count>4</m:count>
...

See http://docs.oasis-open.org/odata/odata/v4.0/errata02/os/complete/part1-protocol/odata-v4.0-errata02-os-part1-protocol-complete.html#_Toc406398298
Comment 1 JBoss JIRA Server 2016-03-23 09:16:58 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-4060 to Coding In Progress
Comment 2 JBoss JIRA Server 2016-03-29 10:05:08 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-4060 to Resolved
Comment 3 Juraj Duráni 2016-06-15 04:43:31 EDT
Count correctly returned.
Comment 4 JBoss JIRA Server 2016-06-15 08:17:57 EDT
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-4060 to Closed

Note You need to log in before you can comment on or make changes to this bug.